package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class FlowProdEffectDataExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "商品洞察";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"商品洞察", "店铺名称"})
    private String shopName;

    @ExcelProperty({"商品洞察", "商品名称"})
    private String spuName;

    @ExcelProperty({"商品洞察", "商品价格"})
    private Long price;

    @ExcelProperty({"商品洞察", "曝光次数"})
    private Integer expose;

    @ExcelProperty({"商品洞察", "曝光人数"})
    private Integer exposePersonNum;

    @ExcelProperty({"商品洞察", "加购人数"})
    private Integer addCartPerson;

    @ExcelProperty({"商品洞察", "加购件数"})
    private Integer addCart;

    @ExcelProperty({"商品洞察", "下单人数"})
    private Integer placeOrderPerson;

    @ExcelProperty({"商品洞察", "支付人数"})
    private Integer payPerson;

    @ExcelProperty({"商品洞察", "下单商品件数"})
    private Integer placeOrderNum;

    @ExcelProperty({"商品洞察", "支付商品件数"})
    private Integer payNum;

    @ExcelProperty({"商品洞察", "商品下单金额"})
    private Double placeOrderAmount;

    @ExcelProperty({"商品洞察", "商品支付金额"})
    private Double payAmount;

    @ExcelProperty({"商品洞察", "申请退款订单数"})
    private Integer refundNum;

    @ExcelProperty({"商品洞察", "申请退款人数"})
    private Integer refundPerson;

    @ExcelProperty({"商品洞察", "成功退款订单数"})
    private Integer refundSuccessNum;

    @ExcelProperty({"商品洞察", "成功退款人数"})
    private Integer refundSuccessPerson;

    @ExcelProperty({"商品洞察", "成功退款金额"})
    private Double refundSuccessAmount;

    @ExcelProperty({"商品洞察", "退款率"})
    private Double refundSuccessRate;

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Integer getExpose() {
        return expose;
    }

    public void setExpose(Integer expose) {
        this.expose = expose;
    }

    public Integer getExposePersonNum() {
        return exposePersonNum;
    }

    public void setExposePersonNum(Integer exposePersonNum) {
        this.exposePersonNum = exposePersonNum;
    }

    public Integer getAddCartPerson() {
        return addCartPerson;
    }

    public void setAddCartPerson(Integer addCartPerson) {
        this.addCartPerson = addCartPerson;
    }

    public Integer getAddCart() {
        return addCart;
    }

    public void setAddCart(Integer addCart) {
        this.addCart = addCart;
    }

    public Integer getPlaceOrderPerson() {
        return placeOrderPerson;
    }

    public void setPlaceOrderPerson(Integer placeOrderPerson) {
        this.placeOrderPerson = placeOrderPerson;
    }

    public Integer getPayPerson() {
        return payPerson;
    }

    public void setPayPerson(Integer payPerson) {
        this.payPerson = payPerson;
    }

    public Integer getPlaceOrderNum() {
        return placeOrderNum;
    }

    public void setPlaceOrderNum(Integer placeOrderNum) {
        this.placeOrderNum = placeOrderNum;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    public Double getPlaceOrderAmount() {
        return placeOrderAmount;
    }

    public void setPlaceOrderAmount(Double placeOrderAmount) {
        this.placeOrderAmount = placeOrderAmount;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getRefundNum() {
        return refundNum;
    }

    public void setRefundNum(Integer refundNum) {
        this.refundNum = refundNum;
    }

    public Integer getRefundPerson() {
        return refundPerson;
    }

    public void setRefundPerson(Integer refundPerson) {
        this.refundPerson = refundPerson;
    }

    public Integer getRefundSuccessNum() {
        return refundSuccessNum;
    }

    public void setRefundSuccessNum(Integer refundSuccessNum) {
        this.refundSuccessNum = refundSuccessNum;
    }

    public Integer getRefundSuccessPerson() {
        return refundSuccessPerson;
    }

    public void setRefundSuccessPerson(Integer refundSuccessPerson) {
        this.refundSuccessPerson = refundSuccessPerson;
    }

    public Double getRefundSuccessAmount() {
        return refundSuccessAmount;
    }

    public void setRefundSuccessAmount(Double refundSuccessAmount) {
        this.refundSuccessAmount = refundSuccessAmount;
    }

    public Double getRefundSuccessRate() {
        return refundSuccessRate;
    }

    public void setRefundSuccessRate(Double refundSuccessRate) {
        this.refundSuccessRate = refundSuccessRate;
    }

    @Override
    public String toString() {
        return "FlowProdEffectDataExcelVO{" +
                "shopName='" + shopName + '\'' +
                ", spuName='" + spuName + '\'' +
                ", price=" + price +
                ", expose=" + expose +
                ", exposePersonNum=" + exposePersonNum +
                ", addCartPerson=" + addCartPerson +
                ", addCart=" + addCart +
                ", placeOrderPerson=" + placeOrderPerson +
                ", payPerson=" + payPerson +
                ", placeOrderNum=" + placeOrderNum +
                ", payNum=" + payNum +
                ", placeOrderAmount=" + placeOrderAmount +
                ", payAmount=" + payAmount +
                ", refundNum=" + refundNum +
                ", refundPerson=" + refundPerson +
                ", refundSuccessNum=" + refundSuccessNum +
                ", refundSuccessPerson=" + refundSuccessPerson +
                ", refundSuccessAmount=" + refundSuccessAmount +
                ", refundSuccessRate=" + refundSuccessRate +
                '}';
    }
}
